Help Center

What are the requirements for the CogniFit Brain Fitness iPad app?

The CogniFit Brain Fitness iPad app simply requires iOS 9.0 or later.